#define MaxHdr  1500
/*
 * Interpreter code file header - this is written at the start of
 *  an icode file after the start-up program.
 */
struct header {
   word hsize;			/* size of interpreter code */
   word trace;			/* initial value of &trace */
   word records;		/* location of record blocks */
   word ftab;			/* location of record/field table */
   word globals;		/* location of global variables */
   word gnames;			/* location of names of globals */
   word statics;		/* location of static variables */
   word strcons;		/* location of identifier table */
   word config[16];		/* icode version */
   };
