/*
 * This routine provides for addition, subtraction and multiplication
 *  of integers with overflow checking for the SAS/C version of Icon.
 */
#include <stddef.h>
#include <code.h>
#include <genl370.h>
#undef MR         /* 4.00 bug bypass */
#define MR(r1,r2)  _RR_(_RP(r1), 0x1c, r1, r2)

int ckadd(x,y)
   int x,y;
   {
      int oflow, res;
      _ldregs(R0+R14+R15, 1, x, y);
      BALR(1,0);
      AR(14,15);
      BC(14,0,8+b(1));
      LNR(0,0);
      _stregs(R0+R14, &oflow, &res);
      if (oflow < 0) fatalerr(-203, NULL);
      return res;
   }

int cksub(x,y)
   int x,y;
   {
      int oflow, res;
      _ldregs(R0+R14+R15, 1, x, y);
      BALR(1,0);
      SR(14,15);
      BC(14,0,8+b(1));
      LNR(0,0);
      _stregs(R0+R14, &oflow, &res);
      if (oflow < 0) fatalerr(-203, NULL);
      return res;
   }

int ckmul(x,y)
   int x,y;
   {
      int oflow, res;
      _ldregs(R0+R1+R15, 1, x, y);
      BALR(2,0);
      MR(14,1);
      SLDA(14,32);
      BC(14,0,12+b(2));
      LNR(0,0);
      _stregs(R0+R14, &oflow, &res);
      if (oflow < 0) fatalerr(-203, NULL);
      return res;
   }
