Root=BinPath
echo Setting up structure for variant translator...
BaseDir=`pwd`
CommonDir=$BaseDir/common
TranDir=$BaseDir/itran
HDir=$BaseDir/h
rm -rf $CommonDir $TranDir $HDir
mkdir $CommonDir $TranDir $HDir
echo Copying files ...
cp $Root../src/vtran/vtfiles/"*" $BaseDir
mv $BaseDir/vtmain.c $TranDir/vtmain.c
cp $Root../src/vtran/Vtmake1 $BaseDir/Makefile
cp $Root../src/vtran/Vtmake2 $TranDir/Makefile
for j in getopt.c alloc.c strtbl.c filepart.c Makefile
do
   cp $Root../src/common/$j $CommonDir
done
for j in err.c fixgram.icn globals.h icon_g.c lfile.h \
	mktoktab.icn optab.txt pscript.icn tlex.c tlex.h tmem.c \
	tokens.txt tsym.c tproto.h tsym.h trans.c trans.h trash.icn tree.c \
	tlocal.c tree.h util.c
do
   cp $Root../src/icont/$j $TranDir
done
for j in config.h cpuconf.h define.h fdefs.h keyword.h cproto.h odefs.h\
        proto.h version.h cstructs.h gsupport.h path.h\
	typedefs.h dproto.h
do
   cp $Root../src/h/$j $HDir
done
echo variant translator is complete.
