!
! Test Icon Program Library.
!
$ @[-.bin]deficon
$ set noon
$ set default [.tests]
$
$ write sys$output " Running kross"
$ iconx -e [.local]kross.err [-.icode]kross <[-.data]egg.krs >[.local]kross.out
$ write sys$output " Checking kross"
$ append [.local]kross.err [.local]kross.out
$ diff [.local]kross.out [.stand]kross.out
$ if (($status .and. 7) .eq. 1) then $ delete/noconfirm/nolog [.local]kross.*;*
$ 
$ write sys$output " Running csgen"
$ iconx -e [.local]csgen.err [-.icode]csgen <[-.data]abc.csg >[.local]csgen.out
$ write sys$output " Checking csgen"
$ append [.local]csgen.err [.local]csgen.out
$ diff [.local]csgen.out [.stand]csgen.out
$ if (($status .and. 7) .eq. 1) then $ delete/noconfirm/nolog [.local]csgen.*;*
$ 
$ write sys$output " Running rsg"
$ iconx -e [.local]rsg.err [-.icode]rsg <[-.data]poem.rsg >[.local]rsg.out
$ write sys$output " Checking rsg"
$ append [.local]rsg.err [.local]rsg.out
$ diff [.local]rsg.out [.stand]rsg.out
$ if (($status .and. 7) .eq. 1) then $ delete/noconfirm/nolog [.local]rsg.*;*
$ 
$ write sys$output " Running bold"
$ define/user IPATH "[-.ucode]"
$ icont -s tbold.icn -x <[-.data]gilbert.txt >[.local]bold.out
$ delete/noconfirm/nolog tbold.icx;*
$ write sys$output " Checking bold"
$ diff [.local]bold.out [.stand]bold.out
$ if (($status .and. 7) .eq. 1) then $delete/noconfirm/nolog [.local]bold.*;*
$ 
$ write sys$output " Running gener"
$ define/user IPATH "[-.ucode]"
$ icont -s tgener.icn -x >[.local]gener.out
$ delete/noconfirm/nolog tgener.icx;*
$ write sys$output " Checking gener"
$ diff [.local]gener.out [.stand]gener.out
$ if (($status .and. 7) .eq. 1) then $delete/noconfirm/nolog [.local]gener.*;*
$
$ set default [-]
$
$ exit 1
