!
! Define the directory containing this procedure as ICON_BIN;
! define the commands ICONT, ICONX, and IEXE;
! and add the Icon help library to the search path.
!
$ PROC = f$environment("procedure")
$ DEV  = f$parse(PROC,,,"device")
$ DIR  = f$parse(PROC,,,"directory")
$ assign/nolog 'DEV''DIR' ICON_BIN
$ iconc == "$ ICON_BIN:iconc"
$ icont == "$ ICON_BIN:icont"
$ iconx == "$ ICON_BIN:iconx"
$ mmps  == "$ ICON_BIN:mmps"
$ iexe  == "@ICON_BIN:iexe"
$
$ HELPLIB = "ICON_BIN:ICON.HLB"		! value must be upper case
$ LOGNAME = "HLP$LIBRARY"
$ N = 0
$loop:
$ NAMEVAL = f$trnlnm("''LOGNAME'","LNM$PROCESS_TABLE")
$ if NAMEVAL .eqs. ""           then $ goto assign
$ if NAMEVAL .eqs. "''HELPLIB'" then $ goto done
$ N = N + 1
$ LOGNAME = "HLP$LIBRARY_''N'"
$ if N .lt. 1000                then $ goto loop
$ write sys$output "Can't add Icon help library; too many names."
$ goto done
$
$assign:
$ assign 'HELPLIB' 'LOGNAME'
$done:
$
$ exit 1
