!
! Run a list of Icon tests using the translator.
! p1 = directory containing tests
! p2 = name of file containing list
! p3 = name of "local" directory
! p4 = name of "stand" directory
!
$ @[-.bin]deficon
$ set noon
$ on control_y then $ goto done
$
$ set default [.'p1']
$ open/read tlist 'p2'.lst
$ write sys$output "Running ''p2' tests:"
$loop:
$ read/end=done tlist name
$ write sys$output " Translating ''name'"
$ icont -s 'name'.icn
$ write sys$output " Running ''name'"
$ if f$search("''name'.dat") .eqs. ""
$ then iconx -e [.'p3']'name'.err 'name' >[.'p3']'name'.out
$ else iconx -e [.'p3']'name'.err 'name' <'name'.dat >[.'p3']'name'.out
$ endif
$ write sys$output " Checking ''name'"
$ append [.'p3']'name'.err [.'p3']'name'.out
$ diff/output=[.'p3'] [.'p3']'name'.out [.'p4']'name'.out
$ if (($status .and. 7) .ne. 1) then $ goto failed
$ delete/noconfirm/nolog 'name'.icx;*, [.'p3']'name'.*;*
$ goto loop
$failed:
$ write sys$output "   --- output differs"
$ goto loop
$done:
$ close tlist
$ set default [-]
$
$ exit 1
