!
! Clean up unneeded files after building VMS Icon.
!
$ set noon
$ MSG = f$environment("Message")
$ set message /nofacility/noseverity/noidentification/notext
$ purge [...]
$
$ delete/noconfirm/nolog [.docs]foo*.*;*
$ delete/noconfirm/nolog [.ipl.local]*.*;*
$! delete/noconfirm/nolog [.ipl]*.u%;*
$! delete/noconfirm/nolog [.ipl.tests.local]*.*;*
$
! clean the source directories
$
$ delete/noconfirm/nolog [.src.iconic]*.o;*, iconc.exe;*
$ delete/noconfirm/nolog [.src.common]*.o;*
$ delete/noconfirm/nolog [.src.preproc]*.o;*
$ delete/noconfirm/nolog [.src.rtt]*.o;*
$ delete/noconfirm/nolog [.src.runtime]f_*.c;*, l_*.c;*, k_*.c;*, o_*.c;*,-
  *.o;*, rt.db;*, rt.a;*, rttcur.lst;*, rttfull.lst;*, iconx;*
$ delete/noconfirm/nolog [.src.icont]*.o;*, icont;*, iconx.hdr;*, hdr.h;*,-
  newhdr;*
$ delete/noconfirm/nolog [.src.memmon]*.o;*, mmaed;*, mmrt;*, mmps;*,-
  mmmeta;*, xmemmon;*
$
! clean the test directories
$
$ delete/noconfirm/nolog [.tests.samples.local]*.*;*
$ delete/noconfirm/nolog [.tests.general.local-icon%]*.*;*
$ delete/noconfirm/nolog [.tests.bench]*.out;*, concord-icon%;*, deal-icon%;*,-
  ipxref-icon%;*, queens-icon%;*, rsg-icon%;*
$ delete/noconfirm/nolog [.tests.calling]*.o;*
$ delete/noconfirm/nolog [.tests.memmon.tests.local]*.*;*
$ delete/noconfirm/nolog [.tests.vt]vt;*
$ delete/noconfirm/nolog [.tests.vt.tests.local]*.*;*
$
$ set message 'MSG'
$
$ exit 1
