#undef MVS
#define MVS 1
#undef VM
#define VM  0

/*
 * The following definitions assure the C compilers are defined with
 * the correct logical values for #if directives. The definitions
 * they use come from the C command line.
 */

#undef SASC
#define SASC 1

#undef WATERLOO_C_V3_0

/*
 * The following definitions are common to all 370 C compilers (to date).
 */

#define Big 72057594037927936.   /* 2^56 */
#define GranSize 4096
#define NoHeader
#define IcodeSuffix ".icx"
#define IconCalling
#define LogHuge 76
#define Precision 16
#define Standard
#define SystemFnc
#define index strchr
#define rindex strrchr

/*
 * The following definitions differ from compiler to compiler (or are   .
 *  religious issues).
 */

#define EBCDIC 1       /* set to 2 for ASCII compatability */
#if SASC
#define CStateSize 2
#define CoProcesses
#define Double
#define ErrorExit 16
#if VM
#define HostStr "CMS ex SAS/C (r) Release 4.50"
#else                                   /* VM */
#define HostStr "MVS ex SAS/C (r) Release 4.50"
#endif                                  /* VM */
#define Iconx "ICONX"
#define RecordIO
#endif                                  /* SASC */

#ifdef WATERLOO_C_V3_0
#define CStateSize 24
#define FixedRegions
#define HostStr "IBM 370 (VM) ex Waterloo C"
#define U1Suffix ".u1 (LRECL 32768"
#define U2Suffix ".u2 (LRECL 32768"
#define UpStack
#endif                                  /* WATERLOO_C_V3_0 */

